# $Revision: 1.14 $, $Date: 2002/10/13 19:04:41 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	LibXML
Summary:	XML::LibXML Perl module
Summary(cs):	Modul XML::LibXML pro Perl
Summary(da):	Perlmodul XML::LibXML
Summary(de):	XML::LibXML Perl Modul
Summary(es):	Mdulo de Perl XML::LibXML
Summary(fr):	Module Perl XML::LibXML
Summary(it):	Modulo di Perl XML::LibXML
Summary(ja):	XML::LibXML Perl ⥸塼
Summary(ko):	XML::LibXML  
Summary(no):	Perlmodul XML::LibXML
Summary(pl):	Modu Perla XML::LibXML
Summary(pt):	Mdulo de Perl XML::LibXML
Summary(pt_BR):	Mdulo Perl XML::LibXML
Summary(ru):	  Perl XML::LibXML
Summary(sv):	XML::LibXML Perlmodul
Summary(uk):	  Perl XML::LibXML
Summary(zh_CN):	XML::LibXML Perl ģ
Name:		perl-%{pdir}-%{pnam}
Version:	1.53
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-Makefile.patch
BuildRequires:	libxml2-devel >= 2.4.8
BuildRequires:	perl-XML-LibXML-Common
BuildRequires:	perl-XML-NamespaceSupport >= 1.07
BuildRequires:	perl-XML-SAX >= 0.11
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-56
Requires:	libxml2 >= 2.4.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements much of the DOM Level 2 API as an interface to
the Gnome libxml2 library. This makes it a fast and highly capable
validating XML parser library, as well as a high performance DOM.

%description -l pl
Ten modu to implementacja wikszoci API DOM Level 2 jako interfejsu
do biblioteki Gnome libxml2. Daje to szybki i o duych moliwociach
parser sprawdzajcy poprawno XML, a take wysoko wydajny DOM.

%package SAX
Summary:	XML::LibXML::SAX perl module
Summary(pl):	Modu perla XML::LibXML::SAX
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description SAX
This class allows you to generate SAX2 events using LibXML. Note that
this is not a stream based parser, instead it parses documents into a
DOM and traverses the DOM tree. The reason being that libxml2's stream
based parsing is extremely primitive, and would require an extreme
amount of work to allow SAX2 parsing in a stream manner.

%description SAX -l pl
Ta klasa pozwala generowa zdarzenia SAX2 przy uyciu LibXML2. To nie
jest parser bazujcy na strumieniach - przetwarza dokumenty na DOM i
nastpnie wdruje po drzewie DOM. Wynika to z faktu, e w libxml2
parsowanie oparte na strumieniach jest bardzo prymitywne i wymagaoby
wiele pracy, aby umoliwi strumieniowe parsowanie SAX2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

# dtd test fails for unknown reason
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install example/{*.pl,*.xml,*.dtd,*.xhtml} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex
install example/complex/{*.xml,*.dtd} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex/dtd
install example/complex/dtd/*.dtd $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex/dtd

%clean
rm -rf $RPM_BUILD_ROOT

%post SAX
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"

%preun SAX
perl -MXML::SAX -e "XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/XML/LibXML.pm
%{perl_sitearch}/XML/LibXML/[^S]*.pm
%{perl_sitearch}/auto/XML/LibXML/LibXML.bs
%attr(755,root,root) %{perl_sitearch}/auto/XML/LibXML/LibXML.so
%{_mandir}/man3/XML::LibXML.3pm.gz
%{_mandir}/man3/XML::LibXML::[^S]*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/x*.pl
%{_examplesdir}/%{name}-%{version}/[^x]*

%files SAX
%defattr(644,root,root,755)
%dir %{perl_sitearch}/XML/LibXML/SAX
%{perl_sitearch}/XML/LibXML/SAX.pm
%{perl_sitearch}/XML/LibXML/SAX/*.pm
%{_mandir}/man3/XML::LibXML::SAX.3pm*
%{_mandir}/man3/XML::LibXML::SAX::*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-LibXML.spec,v $
Revision 1.14  2002/10/13 19:04:41  kloczek
- release 3.

Revision 1.13  2002/10/06 13:16:52  qboosh
- BR: perl-XML-LibXML-Common

Revision 1.12  2002/10/02 11:47:37  ankry
- removed common dirs (->perl-XML-LibXML-Common)
- release 2

Revision 1.11  2002/09/28 23:19:56  ankry
- added tests
- fixed BR
- %%{_examplesdir} and %%doc fixes
- version 1.53

Revision 1.10  2002/07/20 15:07:15  qboosh
- updated to 1.52, added missing XML::LibXML::SAX module to -SAX

Revision 1.9  2002/07/19 23:43:03  ankry
- translations, cleaning
- s/XML::LibXML-SAX/XML::LibXML::SAX/g
- moved XML/LibXML/SAX.pm also to -SAX package
- remove *.pod from %%files
- release 2

Revision 1.8  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.7  2002/07/11 11:07:32  depesz
- corrected man list

Revision 1.6  2002/07/11 08:06:21  depesz
- new version; should work; STBR

Revision 1.5  2002/07/10 09:02:55  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/04/19 12:33:32  grabba
- spec adapterized

Revision 1.2  2002/04/15 10:23:30  qboosh
- pl descriptions

Revision 1.1  2002/04/14 14:23:50  grabba
- first release
